Package org.apache.catalina.webresources

# Class AbstractSingleArchiveResource

java.lang.Object
org.apache.catalina.webresources.AbstractResource
org.apache.catalina.webresources.AbstractArchiveResource
org.apache.catalina.webresources.AbstractSingleArchiveResource

All Implemented Interfaces:
  `WebResource`

Direct Known Subclasses:
  `JarResource`, `WarResource`

public abstract class AbstractSingleArchiveResource extends AbstractArchiveResource

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.catalina.webresources.AbstractArchiveResource

`AbstractArchiveResource.JarInputStreamWrapper`

## Field Summary

### Fields inherited from class org.apache.catalina.webresources.AbstractResource

`sm`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractSingleArchiveResource(AbstractArchiveResourceSet archiveResourceSet, String webAppPath, String baseUrl, JarEntry jarEntry, String codeBaseUrl)`

## Method Summary

Modifier and Type
Method
Description
`protected AbstractArchiveResource.JarInputStreamWrapper`
`getJarInputStreamWrapper()`

### Methods inherited from class org.apache.catalina.webresources.AbstractArchiveResource

`canRead, delete, doGetInputStream, exists, getArchiveResourceSet, getBase, getBaseUrl, getCanonicalPath, getCertificates, getCodeBase, getContent, getContentLength, getCreation, getLastModified, getManifest, getName, getResource, getURL, isDirectory, isFile, isVirtual`

### Methods inherited from class org.apache.catalina.webresources.AbstractResource

`getETag, getInputStream, getLastModifiedHttp, getLog, getMimeType, getWebappPath, getWebResourceRoot, setMimeType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSingleArchiveResource

protected AbstractSingleArchiveResource(AbstractArchiveResourceSet archiveResourceSet, String webAppPath, String baseUrl, JarEntry jarEntry, String codeBaseUrl)

## Method Details

### getJarInputStreamWrapper

protected AbstractArchiveResource.JarInputStreamWrapper getJarInputStreamWrapper()

Specified by:
  `getJarInputStreamWrapper` in class `AbstractArchiveResource`